---
title: CanvasRenderingContext2D.getContextAttributes()
slug: Web/API/CanvasRenderingContext2D/getContextAttributes
tags:
  - API
  - Method
  - Reference
  - Canvas
  - CanvasRenderingContext2D
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>CanvasRenderingContext2D.getContextAttributes()</strong></code> method 
returns an object that contains the actual context parameters. Context attributes can be requested with 
<a href="/en-US/docs/Web/API/HTMLCanvasElement/getContext"><code>HTMLCanvasElement.getContext()</code></a>
on context creation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>ctx</em></var>.getContextAttributes();</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>CanvasRenderingContext2DSettings</code> object that contains the actual context parameters.
It has the following members:</p>
<dl>
    <dt><code>alpha</code></dt>
    <dd>A Boolean indicating if the canvas contains an alpha channel. 
        If <code>false</code>, the backdrop is always opaque, which can speed up drawing 
        of transparent content and images.</dd>
    <dt><code>desynchronized</code></dt>
    <dd>A Boolean indicating the user agent reduced the latency by desynchronizing 
        the canvas paint cycle from the event loop.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Given context attributes were provided on context creation using
<a href="/en-US/docs/Web/API/HTMLCanvasElement/getContext"><code>HTMLCanvasElement.getContext()</code></a></p>

<pre class="brush: js">
let canvas = document.createElement('canvas');
let ctx = canvas.getContext('2d', {alpha: false});
</pre>

<p>the <code>getContextAttributes()</code> method lets you read back actual attributes used by
the user agent:</p>

<pre class="brush: js">
ctx.getContextAttributes();
// returns {alpha: false, desynchronized: false}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-context-2d-canvas-getcontextattributes", "CanvasRenderingContext2D.getContextAttributes")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. 
If you'd like to contribute to the data, please check out 
<a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a>
and send us a pull request.</p>

<p>{{Compat("api.CanvasRenderingContext2D.getContextAttributes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/HTMLCanvasElement/getContext"><code>HTMLCanvasElement.getContext()</code></a></li>
 <li><a href="/en-US/docs/Web/API/WebGLRenderingContext/getContextAttributes"><code>WebGLRenderingContext.getContextAttributes()</code></a></li>
</ul>
